"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.runValidator = void 0;

var _makePromise = _interopRequireDefault(require("../../helpers/makePromise"));

var _sanitization = require("./sanitization");

/**
 * Runs the validator on the given value.
 * This promise never fails. We promise!
 */
var runValidator = function runValidator(validator, value) {
  var promise = (0, _makePromise.default)(function () {
    return validator ? validator(value) : {
      validated: "ok",
      message: null
    };
  });
  return promise.then(_sanitization.sanitizeValidationResult).catch(function (res) {
    return (0, _sanitization.sanitizeValidationResult)(res, true);
  });
};

exports.runValidator = runValidator;